<?php
session_start();
if (isset($_SESSION['usuario'])){
$user=$_SESSION['usuario'];
}
else{
?>
<script>
location.href="index.php?errorusuario=3";
</script>
<?php
}

//sacar el tipo de usuario
include("conexion.php");

$cons="Select nombre,tipo,idClinica FROM usuarios Where idUsuario='$user'";
$res=mysql_query($cons,$conex) or die ("No se realizó la consulta en usuarios");
$nombreuser=mysql_result($res,0,'nombre');
$tipo=mysql_result($res,0,'tipo');
$clini=mysql_result($res,0,'idClinica');

//OPERACION SOBRE EL FOLIO DE LA VENTA
	if(isset($_GET['folio']))
	{
		$folio=$_GET['folio'];
		echo $folio;		
	}
	else
	{
		$cons2="SELECT max(idSalida) as folio FROM salida";
		$resul2=mysql_query($cons2,$conex) or die ("No se realizó la obtencion del maximo en salida");
		$fol=mysql_result($resul2,0,'folio');
		$folio=$fol + 1;
	}
	echo "<input name='folio' type='hidden' id='folio' value='".$folio."' size='5'>";
?>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Clinisys :.</title>
<link href="ucaestilos.css" rel="stylesheet" type="text/css" />
<script src="prototype.js" language="javascript"></script>
<script src="ajax_puntoventa.js" language="javascript"></script>
<script type="text/javascript" language="JavaScript1.2" src="stm31.js"></script>
<script language="javascript" src="InnerDiv.js"></script>
<script language="javascript">
function listar(){
	I= 'miId';                          //---- id de la ventana
	N= 20;                              //---- posicion x
	n= 20;                              //---- posicion y
	e= 380;                            //---- ancho
	r= 600;                             //---- alto
	d= 'listaproductos.php';            //---- pagina de carga
	i= 'Listado de Productos';  		//---- texto de la barra
	v=null;                              //---- indica si utiliza CSS
	INNERDIV.newInnerDiv(I,N,n,e,r,d,i,v);
}

function prueba()
{
	var nompaciente=document.getElementById('nompaciente').value;
	if (nompaciente == " ")
	{ 
		alert("No existe el expediente del paciente, ingresa otro.");
		document.getElementById("expediente").focus();
		return (false);
	}
}

function ejecutarventa()
{
	//document.getElementById('tablacontenido').innerHTML= "<center><img src='img/ajax-loader.gif'><p class='style4'>Procesando articulo...</p></center>";
	
	var expediente=document.getElementById('expediente').value;
	var clavedoctor=document.getElementById('clavedoctor').value;
	
	if (expediente == "")
	{ 
		alert("El expediente del paciente es necesario"); 
		document.getElementById("expediente").focus();
		return (false);
	}
	
	if (clavedoctor == "")
	{ 
		alert("La clave del doctor es necesaria.");
		document.getElementById("clavedoctor").focus();
		return (false);
	}
	//ENVIAR FORMULARIO
	document.formventa.submit();
}
</script>
<style type="text/css">
<!--
body {
	background-color: #CCCCCC;
}
-->
</style>
<script type="text/javascript" src="ajax.js"></script>
<script type="text/javascript" src="ajax-dynamic-list.js"></script>
<script type="text/javascript" src="acc_calendar/acc_calendar.js"></script>
<link href="ajaxestilosautocomplete.css" rel="stylesheet" type="text/css">
</head>

<!--<body onLoad="abrirdatos()">-->
<BODY>
<table width="1000" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
  <tr>
    <td bgcolor="#4E5977"><div align="left"><img src="img/top03.jpg" width="1000" height="90"></div></td>
  </tr>
  <tr>
    <td>
	<table width="100%" border="0" align="center">
      <tr>
	  <td width="3%"><img src="img/icon_security.jpg" width="22" height="22"></td>
        <td width="28%"><span class="style4">Operador: </span><span class="style5"><?php echo $nombreuser;?></span></td>
        <td width="69%">
		<?php 
		//if ($tipo =='user')
		//{
		$cons2="Select clinica FROM clinicas Where idClinica='$clini'";
		$res2=mysql_query($cons2,$conex) or die ("No se realizó la consulta de la clinica");
		$clinica=mysql_result($res2,0,'clinica');
		echo "<span class='style4'>Cl&iacute;nica: </span><span class='style5'>".$clinica."</span>";
		//}
		?>		</td>
        </tr>
    </table>
	<table width="100%" border="0" align="center">
      <tr>
        <td width="87%" height="20" bgcolor="#666666">
		<?php
				if ($tipo=='admin')
				{
			  		?>
          <script type="text/javascript" language="JavaScript1.2" src="menuadm.js"></script>
          <?php
			  	}
				else
				{
					
				}
			  ?>
		</td>
        <td width="13%" bgcolor="#666666" class="style8"><div align="center"><a href="cerrar.php"><span class="style6">Cerrar Sesión</span></a></div></td>
      </tr>
    </table>
      <table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="12%" valign="top">
		
		  <table width="800" border="0" align="center" cellpadding="0" cellspacing="10">
            <tr>
              <td class="style77"><div align="center">PUNTO DE VENTA</div></td>
            </tr>
          </table>
			<?php
			if (isset($_GET['error']))
			{
				$error=$_GET['error'];
				if ($error==1)
				{
					?>
					<script>
                    alert("No existe el expediente, intenta de nuevo!");
					//document.getElementById("expediente").focus();
                    </script>
                    <?php
				}
				if ($error==2)
				{
					?>
					<script>
                    alert("No existe la clave de doctor, intenta de nuevo!");
					//document.getElementById("expediente").focus();
                    </script>
                    <?php
				}
			}
			?>
		  <form name="formventa" method="post" action="svventa.php">
		  <table width="800" border="1" align="center" cellpadding="0" cellspacing="2">
            <tr>
              <td>
			  
			  <table width="100%" border="0" cellpadding="0" cellspacing="5" bgcolor="#CCCCCC">
                  <tr>
                    <td width="72%"><table width="100%" border="0" cellspacing="5" cellpadding="0">
                      <tr>
                        <td width="101" height="25"><div align="right"><span class="style4">Fecha: </span></div></td>
                        <td width="168"><span class="style4">
                        <label for="fecha"><span class="fecha rang10"></span>
                <input name="fecha" type="text" class="fecha rang10 cuadrotexto" id="fecha" value="<?php echo date("Y-m-d"); ?>" size="10" maxlength="10" readonly>
              </label>
                        </span></td>
                        <td width="79" ><div align="right"><span class="style4">Folio Venta: </span></div></td>
                        <td width="399"><input name="folio" type="text" class="folio" id="folio" value="<?php echo $folio;?>" size="10" readonly>
						<input name="clinica" type="hidden" id="clinica" value="<?php echo $clini;?>" size="5">						</td>
                      </tr>
                      <tr>
                        <td><div align="right"><span class="style4">Expediente: </span></div></td>
                        <td><input name="expediente" type="text" class="cuadrotexto" id="expediente" onKeyUp="javascript:paciente()" size="10" maxlength="15"></td>
                        <td><div align="right"><span class="style4">Paciente: </span></div></td>
                        <td>
                          <div id="nombrepaciente">
                        </div>
						</td>
                      </tr>
                      <tr>
                        <td><div align="right"><span class="style4">Clave Doctor: </span></div></td>
                        <td ><input name="clavedoctor" type="text" class="cuadrotexto" id="clavedoctor" onKeyUp="javascript:doctor()" size="10" maxlength="15"></td>
                        <td><div align="right"><span class="style4">Doctor: </span></div></td>
						<td><div id="nombredoctor"> </div></td>
                      </tr>
                    </table></td>
                    </tr>
              </table>
			  
			  </td>
            </tr>
            <tr>
              <td>
                <table width="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#F2F3F4">
                  <tr>
                    <td width="43%" bgcolor="#CCE6FF"><table width="100%" border="0" align="right" cellpadding="0" cellspacing="5" bgcolor="#CCE6FF">
                      <tr>
                        <td width="63" class="style4"><div align="left">Paquete: </div></td>
                        <td width="804"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                              <tr>
                                <td width="299"><?php
					
					include ("conexion.php");
					$cons="SELECT * FROM paquetes";
					$res=mysql_query($cons,$conex) or die ("No se pudo consultar las clinicas");
					  echo "<select name='paquete' id='paquete' class='cuadrotexto'>";
                      While ($campo=mysql_fetch_assoc($res)) 
	    				{
						  echo "<option value=".$campo['idPaquete']." >".$campo['nompaquete']."</option>"; 
 						}
                      echo "</select>";
					  
                    ?>
                                  <input name="addpaquete2" type="button" class="boton2" id="addpaquete2" onClick="javascript:addpaquete()" value="Agregar"></td>
                                <td width="405" align="right"><span class="style4">Descuento:</span> 
					<?php
						include ("conexion.php");
						$cons="SELECT * FROM descuentos";
						$res=mysql_query($cons,$conex) or die ("No se pudo consultar las clinicas");
						echo "<select name='descuento' id='descuento' class='cuadrotexto'>";
						echo "<option value='0' selected>Ninguno</option>"; 
						While ($campo=mysql_fetch_assoc($res)) 
						{
							echo "<option value=".$campo['idDescuento']." >".$campo['descripcion']."</option>"; 
						}
						echo "</select>";
                    ?>
                                  <input name="button" type="button" class="boton2" id="button" value="Aplicar" onClick="javascript:aplicardescuento()"></td>
                              </tr>
                            </table>                        </td>
                      </tr>
                    </table></td>
                  </tr>
                </table>
                <p align="center">
                <!-- <div id="comentario"></div> -->            
                <div id="tablacontenido">
                <?php
				//CONTENIDO DE LA TABLA
				$total=0.00;
				echo "<div align='center'>";
				echo "<table border=1>";
				echo "<tr bgcolor='#0D3356' class='titulo' align='center'>";
				
				echo "<td>";
				echo "Clave";
				echo "</td>";
				
				echo "<td>";
				echo "Producto";
				echo "</td>";
				
				echo "<td>";
				echo "Clasificaci&oacute;n";
				echo "</td>";
				
				echo "<td>";
				echo "Presentaci&oacute;n";
				echo "</td>";
				
				echo "<td>";
				echo "Cantidad";
				echo "</td>";
				
				echo "<td>";
				echo "Precio";
				echo "</td>";
				
				echo "<td>";
				echo "Importe";
				echo "</td>";
				
				echo "</tr>";
				$cons3="SELECT idProducto,cantidad FROM contenido_salida WHERE idSalida='$folio'" ;
				$res3=mysql_query($cons3,$conex) or die ("No se realizo con exito la consulta de contenido_salida");
				$numero_filas3=mysql_num_rows($res3);
				$numero_campos3= mysql_num_fields($res3);
				while ($fila3=mysql_fetch_row($res3))
				{				  
					echo "<tr>";
					//CLAVE
					echo "<td class='style1'>";
					echo $fila3[0];
					echo "</td>";
					//NOMBRE, DESCRIPCION, PRECIO
					$cons4="SELECT nombre,clasificacion,idPresentacion,precio FROM productos Where clave = '".$fila3[0]."'" ;
					$res4=mysql_query($cons4,$conex) or die ("No se realizo con exito la consulta CONS4");
					$nombre=mysql_result($res4,0,'nombre');
					$clasificacion=mysql_result($res4,0,'clasificacion');
					$idprese=mysql_result($res4,0,'idPresentacion');
					$precio=mysql_result($res4,0,'precio');
					
					echo "<td class='style1'>";
					echo $nombre;
					echo "</td>";
					
					echo "<td class='style1'>";
					echo $clasificacion;
					echo "</td>";
					
					$cons04="SELECT presentacion FROM presentaciones Where idPresentacion = '$idprese'" ;
					$res04=mysql_query($cons04,$conex) or die ("No se realizo con exito la consulta de la presentacion");
					$presen=mysql_result($res04,0,'presentacion');
					
					echo "<td class='style1'>";
					echo $presen;
					echo "</td>";
					
					//CANTIDAD
					echo "<td class='style1' align='center'>";
					echo $fila3[1];
					echo "</td>";
					
					//PRECIO
					echo "<td class='style1' align='right'>";
					echo "$ ".$precio;
					echo "</td>";
					
					//IMPORTE
					$importe=$fila3[1]*$precio;
					$total=$total + $importe;
					
					echo "<td class='style1' align='right'>";
					//echo "$ ".$importe;
					printf ("$ %.2f", $importe );
					echo "</td>";
					
					//ELIMINAR
					/*
					echo "<td class='style4'>";
					echo "<a href='javascript:borra_producto(&quot;".$fila3[0]."&quot;)'><img src='img/icon_delete.jpg' border='0' ALT='Cancelar producto'> </a>";
					echo "</td>";
					*/
				}//end while
				
				echo "</tr>";
				echo "</table>";
				
				//IMPRESION DEL DESCUENTO
				$consdes1="SELECT idDescuento FROM descuento_temp WHERE idSalida ='$folio'";
				$resdes1=mysql_query($consdes1,$conex) or die ("No se consultó consdes1");
				$numfilas5=mysql_num_rows($resdes1);
				
				if ($numfilas5==0)
				{
					$descuento="";
					$total2=$total;
					$descue2=0.00;
				}
				else
				{
					$iddescuento=mysql_result($resdes1,0,'idDescuento');
					
					if ($iddescuento ==0)
					{
						$descuento="";
						$total2=$total;
						$descue2=0.00;
					}
					else
					{
						$consdes="SELECT descripcion,cifra FROM descuentos WHERE idDescuento ='$iddescuento'";
						$resdes=mysql_query($consdes,$conex) or die ("No se consultó el descuento");
						$descuento=mysql_result($resdes,0,'descripcion');
						$desc=mysql_result($resdes,0,'cifra');
						
						$descue=$desc/100;
						$descue2=$total*$descue;
						$total2=$total-$descue2;
					}
				}
				
				//TABLA DEL TOTAL		  
				echo "<p></p>";
				echo "<table width='100%' border='0' cellpadding='0' cellspacing='5' bgcolor='#CCCCCC'>";
				echo "<tr>";
				echo "<td width='60%' valign='baseline'><span  class='style7'>Descuento: </span><span class='style9'>".$descuento."</span></td>";
				echo "<td width='20%' valign='bottom'><div align='right'><span class='style4'>TOTAL: </span></div></td>";
				echo "<td width='20%' valign='bottom'>";
					echo "<table width='100%' height='100%' border='1' cellpadding='0' cellspacing='1'>";
					echo "<tr>";
					echo "<td bgcolor='#FFFFFF'><div align='right'>";
					printf ("<span class='style4'>Subtotal: $%.2f", $total);
					printf ("<br><span class='style10'>- Descuento: $%.2f", $descue2);
					echo "<br>";
					printf ("<span class='Estilo2'>$%.2f", $total2);
					echo "</span>";
					//CUADRO CONTENIENDO TOTAL
					echo "<input name='total' type='hidden' value='".$total2."'></div>";			
					echo "</td>";
					echo "</tr>";
					echo "</table>";
				echo "</td>";
				echo "</tr>";
				echo "</table>";
				?>
                </div>
                </p></td>
            </tr>
          </table>
		  <table width="800" border="0" align="center" cellpadding="0" cellspacing="0">
            <tr>
              <td width="400"><input name="Submit3" type="button" class="boton1" value="Cancelar venta" onClick="javascript:cancelarventa()"></td>
              <td width="400"><div align="right">
                <input name="Submit" type="button" class="boton1" value="Ejecutar Venta" onClick="javascript:ejecutarventa()">
              </div></td>
            </tr>
          </table>
		  </form>
		  
		  <br /></td>
        </tr>
      <tr>
        <td height="17" valign="middle" bgcolor="#4E5B7B"><table width="99%" border="0" align="center" cellpadding="2" cellspacing="0">
          <tr>
            <td width="50%"><div align="left"><span class="style8">Universidad Cuauht&eacute;moc Plantel Aguascalientes</span></div></td>
            <td width="50%"><div align="right"><span class="style8">Departamento de Sistemas / </span><a href="mailto:des.sistemas@ucuauhtemoc.edu.mx"><span class="style8">Desarrollo</span></a></div></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
</table>
</body>
</html>
